casparize(1)

NAME
casparize - Set up caspar Makefile in a new directory

SYNOPSIS

casparize dir (/path/to/config/dir)

casparize file (/path/to/config/dir/file)

DESCRIPTION
casparize creates a new configuration working directory in your current working directory, sets up a Makefile for caspar(7) in this new directory, and optionally copies an original configuration file from its original system place to the newly created configuration working directory.

USAGE
You typically use casparize when you already have created the root configuration working directory with its include directory and install.mk Caspar include file. By analysing your current working directory and the configuration directory path you give on the command line, casparize can deduce the contents of the Makefile in the newly created configuration working directory. It creates the new directory, creates the correct Makefile, and optionally copies the given configuration file in the new directory, ready for its first version commit.

EXAMPLES
A typical example:

  $ cd <svn>/etc
  $ casparize /etc/postfix/main.cf

creates the directory <svn>/etc/postfix, creates <svn>/etc/postfix/Makefile including the proper content, and copies /etc/postfix/main.cf into <svn>/etc/postfix/main.cf. You can now directly add and commit the new directory.

BUGS
Non known at this moment.

AUTHOR
Jeroen Hoppenbrouwers

SEE ALSO
caspar(7) The caspar homepage is at http://mdcc.cx/caspar/ .